# Installation & dependencies

{% hint style="success" %}
**Beginner friendly**

You don't need to be an experienced developer to use this resource, however to get the most out of it, basic knowledge of lua and scripts configuration is very useful.
{% endhint %}

### Dependencies & integrations

This script interacts with some other resources:

<table><thead><tr><th align="center">Resource</th><th width="227" align="center">Recommended version</th><th align="center">Required</th></tr></thead><tbody><tr><td align="center">Framework:<br>• ESX: <a href="https://github.com/esx-framework/esx_core">es_extended</a></td><td align="center">es_extended: 1.6.0 +</td><td align="center"><strong>Yes</strong></td></tr><tr><td align="center"><a href="https://github.com/overextended/oxmysql">oxmysql</a></td><td align="center">Latest</td><td align="center"><strong>Yes</strong></td></tr><tr><td align="center"><a href="https://github.com/overextended/ox_lib">ox_lib</a></td><td align="center">3.18.0+</td><td align="center"><strong>Yes</strong></td></tr><tr><td align="center"><a href="https://github.com/overextended/ox_inventory">ox_inventory</a></td><td align="center">2.38.1+</td><td align="center"><strong>Yes</strong></td></tr><tr><td align="center"><a href="https://github.com/mkafrin/PolyZone">PolyZone</a></td><td align="center">2.6.1+</td><td align="center"><strong>Yes*</strong></td></tr><tr><td align="center"><a href="https://tebex.poisoncode.com/scripts/skills">pc_skills</a></td><td align="center">1.0+</td><td align="center">No (but recommended)**</td></tr><tr><td align="center"><a href="https://tebex.poisoncode.com/scripts/notifications">pc_notifications</a></td><td align="center">1.0+</td><td align="center">No</td></tr></tbody></table>

*"Recommended version" only tells you what version of the resource has been tested, other versions (including older ones) will likely work as well.*

\*- *PolyZone is only required if you intend on using drug wars module. See* [*tutorials*](/scripts/pc_organizations/tutorials.md) *if you want to remove it.*\
\*\*- *pc\_skills is a resource made by us, it's not mandatory, but if you have it, additional features will be* available *(eg. gaining xp & all it's perks, like higher sell chance).*

### Installing the resource

{% stepper %}
{% step %}

### Add the resource (& dependencies above) to your server

Upload the file into your resources folder

Load `database.sql` into your database

Add the script by adding following to the server.cfg: *`ensure pc_organizations`*
{% endstep %}

{% step %}

### Adjust settings

Navigate to `config.lua` and utils to set everything according to your needs
{% endstep %}

{% step %}

### Restart your server

Restart the server for the change to take effect and check for any errors
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.poisoncode.com/scripts/pc_organizations/installation-and-dependencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
